Transactions

Get Transaction Details

GET
/transactions/{transactionId}

Authorization

appToken read
AuthorizationBearer <token>

App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.

In: header

Scope: read

Path Parameters

transactionId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/transactions/string"
{  "transactionId": "string",  "transactionAmount": "string",  "transactionCurrencyCode": "string",  "transactionCurrencySign": "string",  "transactionCurrencyPrecision": 0,  "transactionSide": "string",  "transactionIdentifier": "string",  "transactionTime": "2019-08-24T14:15:22Z",  "tradePlatformId": "string",  "tradePlatformName": "string",  "tradePlatformGroupName": "string",  "tradeIdentifier": "string",  "tradeId": "string",  "paymentGroupId": "string"}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}
{  "message": "string",  "code": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "details": [    {      "field": "string",      "issue": "string"    }  ]}